Quassel IRC - Bug #514

preview makes quassel freeze while hovering an url with .ogv
02/03/2009 10:35 PM - bdgraue

Status: Rejected Start date: 02/03/2009
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Version: 0.3.1+ 0S: Any
Description

ich i hover an link like this one

http://www.notmart.org/misc/tokamak2/plasma-mid.ogv

in quassel, the cpu load gets really high and quassel is freezing. some other users confirmed the bug.
somebody told me this is an webkit bug

History

#1 - 02/03/2009 10:42 PM - neversfelde
| can confirm on latest jaunty (0.4.0~git090202).

#2 - 02/04/2009 11:40 PM - EgS

- Status changed from New to Rejected

This is not a quassel issue.

$ w3m —dump_head http://www.notmart.org/misc/tokamak2/plasma-mid.ogv
HTTP/1.1 200 OK

Date: Wed, 04 Feb 2009 20:24:11 GMT

Server: Apache/2.2

Last-Modified: Tue, 03 Feb 2009 19:37:56 GMT

ETag: "49b01b8-2b1769-46208ced26d00"

Accept—-Ranges: bytes

Content-Length: 2824041

Connection: close

Content-Type: text/plain

As you can see the Server delivers the File with a totally messed up Content (text/plain). Combined with about 2MB of data QWebKit tries to render
quite some big "text file" which results in a high load.

So there are 2 issues of which none quassel is responsible for:
a) the wrong content type delivered by the webserver
b) slow rendering of large text chunks by QWebKit

-> rejected
